package shukan;

import javax.imageio.ImageIO;
import javax.swing.*;
import java.awt.*;
import java.io.File;

public class ShukanViewBar extends JPanel {
    /** File manager */
    private ShukanIO myIO = null;
    /** Displayed data */
    private ShukanData data = null;
    /** Name of the images files for the buttons of the toolbar */
    private String[] imagesName = {"save", "back", "plus", "delete", "left", "right", "export", "parameter"};
    private JButton buttons[] = new JButton[8];
    /** type of the images */
    private String imagesExtension = ".png";
    /** height in pixel of the toolbar */
    private int height;

    public ShukanViewBar(ShukanIO myIO, ShukanData data, int height){
        this.myIO = myIO;
        this.data = data;
        this.height = height;

        for(int i = 0; i<imagesName.length;i++){
            buttons[i] = new JButton("", new ImageIcon("data/images/"+imagesName[i]+imagesExtension));
            buttons[i].setPreferredSize(new Dimension(80,80));
            add(buttons[i]);
        }
    }

/*    @Override
    public void paintComponent(Graphics g) {
        super.paintComponents(g);
        // load images
        try{
            for(int i = 0; i<imagesName.length; i++){
                Image im = ImageIO.read(new File("data/images/"+imagesName[i]+imagesExtension));
                g.drawImage(im, i*(100), 0, this);
            }
        }
        catch(Exception e){System.out.println("Image manquante");}
    }*/


    public int getHeight(){return height;}

    public static void main(String args[]){
        ShukanData data = new ShukanData ();
        ShukanIO io = new ShukanIO (data);
        EventQueue.invokeLater(new Runnable() {
            public void run() {
                JFrame f = new JFrame("esssai");
                ShukanViewBar s = new ShukanViewBar (io,data, 90);
                f.setSize(1000, s.getHeight());
                f.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
                f.add(s);

                f.setVisible(true);
            }
        });
    }
}
